package com.miyzh.config;

import com.miyzh.service.BaseService;
import lombok.extern.log4j.Log4j;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Configuration;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.scheduling.annotation.Scheduled;

/**
 * description: SheduledConfig
 * date: 2020/6/18 17:18
 * author: SZQ
 */

@Configuration
@EnableScheduling
@Slf4j
public class SheduledConfig {

    @Autowired
    private BaseService baseService;

    @Scheduled(cron = "0 0 0 * * ?")
    private void runservice() {
        log.info("开始定时任务");
        baseService.runService();
    }
}
