package com.miyzh.controller;

import com.miyzh.service.BaseService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Api(tags="销售明细")
@RestController
@RequestMapping("order")
public class OrderController {
    @Autowired
    private BaseService baseService;

    @ApiOperation("西药销售明细记录(自费门诊)")
    @PostMapping("medicineOrder")
    public void medicineOrder(){
        try {
            baseService.medicineOrder();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    @ApiOperation("中药销售明细记录(自费门诊)")
    @PostMapping("medicineChiOrder")
    public void medicineChiOrder(){
        try {
            baseService.medicineChiOrder();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    @ApiOperation("西药销售明细记录(医保门诊)")
    @PostMapping("medicineInsOrder")
    public void medicineInsOrder(){
        try {
            baseService.medicineInsOrder();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    @ApiOperation("中药销售明细记录(医保门诊)")
    @PostMapping("medicineChiInsOrder")
    public void medicineChiInsOrder(){
        try {
            baseService.medicineChiInsOrder();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    @ApiOperation("西药药销售明细记录(住院)")
    @PostMapping("medicineHosOrder")
    public void medicineHosOrder(){
        try {
            baseService.medicineHosOrder();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    @ApiOperation("中药销售明细记录(住院)")
    @PostMapping("medicineChiHosOrder")
    public void medicineChiHosOrder(){
        try {
            baseService.medicineChiHosOrder();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }


}
