package com.miyzh.controller;

import com.miyzh.service.BaseService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Api(tags="出库")
@RestController
@RequestMapping("return")
public class ReturnController {
    @Autowired
    private BaseService baseService;


    @ApiOperation("西药销售出库记录")
    @PostMapping("medicineOutBound")
    public void medicineOutBound(){
        try {
            baseService.medicineOutBound();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    @ApiOperation("中药销售出库记录")
    @PostMapping("medicineChiOutBound")
    public void medicineChiOutBound(){
        try {
            baseService.medicineChiOutBound();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    @ApiOperation("西药损耗/领用出库记录")
    @PostMapping("medicineOutTreasury")
    public void medicineOutTreasury(){
        try {
            baseService.medicineOutTreasury();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    @ApiOperation("中药损耗/领用出库记录")
    @PostMapping("medicineOutChiTreasury")
    public void medicineOutChiTreasury(){
        try {
            baseService.medicineOutChiTreasury();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    @ApiOperation("西药采购退货出库记录")
    @PostMapping("medicineBack")
    public void medicineBack(){
        try {
            baseService.medicineBack();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    @ApiOperation("中药采购退货出库记录")
    @PostMapping("medicineChiBack")
    public void medicineChiBack(){
        try {
            baseService.medicineChiBack();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    @ApiOperation("西药盘点盘亏出库记录")
    @PostMapping("medicineInvOut")
    public void medicineInvOut(){
        try {
            baseService.medicineInvOut();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    @ApiOperation("中药盘点盘亏出库记录")
    @PostMapping("medicineChiInvOut")
    public void medicineChiInvOut(){
        try {
            baseService.medicineChiInvOut();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }



}
