package com.miyzh.controller;

import com.miyzh.service.BaseService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Api(tags="入库")
@RestController
@RequestMapping("storage")
public class StorageController {
    @Autowired
    private BaseService baseService;


    @ApiOperation("西药采购入库")
    @PostMapping("medicineStorage")
    public void medicineStorage(){
        try {
            baseService.medicineStorage();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    @ApiOperation("中药采购入库")
    @PostMapping("medicineChiStorage")
    public void medicineChiStorage(){
        try {
            baseService.medicineChiStorage();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    @ApiOperation("西药销售退回")
    @PostMapping("medicineInbound")
    public void medicineInbound(){
        try {
            baseService.medicineInbound();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    @ApiOperation("中药销售退回")
    @PostMapping("medicineChiInbound")
    public void medicineChiInbound(){
        try {
            baseService.medicineChiInbound();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    @ApiOperation("西药盘盈入库")
    @PostMapping("medicineInv")
    public void medicineInv(){
        try {
            baseService.medicineInv();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    @ApiOperation("中药盘盈入库")
    @PostMapping("medicineChiInv")
    public void medicineChiInv(){
        try {
            baseService.medicineChiInv();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }



}
