package com.miyzh.controller;

import com.miyzh.service.BaseService;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("upload")
public class TestController {
    @Autowired
    private BaseService baseService;

    @ApiOperation("全部")
    @PostMapping("runService")
    public void runService(){
        baseService.runService();
    }

    @ApiOperation("西药库存同步")
    @PostMapping("medicineStore")
    public void medicineStore(){
        try {
            baseService.medicineStore();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    @ApiOperation("中药库存同步")
    @PostMapping("medicineChiStore")
    public void medicineChiStore(){
        try {
            baseService.medicineStore();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    @ApiOperation("西药采购入库")
    @PostMapping("medicineStorage")
    public void medicineStorage(){
        try {
            baseService.medicineStorage();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    @ApiOperation("中药采购入库")
    @PostMapping("medicineChiStorage")
    public void medicineChiStorage(){
        try {
            baseService.medicineChiStorage();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    @ApiOperation("西药销售退回")
    @PostMapping("medicineInbound")
    public void medicineInbound(){
        try {
            baseService.medicineInbound();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    @ApiOperation("中药销售退回")
    @PostMapping("medicineChiInbound")
    public void medicineChiInbound(){
        try {
            baseService.medicineChiInbound();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    @ApiOperation("西药盘盈入库")
    @PostMapping("medicineInv")
    public void medicineInv(){
        try {
            baseService.medicineInv();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    @ApiOperation("中药盘盈入库")
    @PostMapping("medicineChiInv")
    public void medicineChiInv(){
        try {
            baseService.medicineChiInv();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    @ApiOperation("西药销售出库记录")
    @PostMapping("medicineOutBound")
    public void medicineOutBound(){
        try {
            baseService.medicineOutBound();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    @ApiOperation("中药销售出库记录")
    @PostMapping("medicineChiOutBound")
    public void medicineChiOutBound(){
        try {
            baseService.medicineChiOutBound();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    @ApiOperation("西药损耗/领用出库记录")
    @PostMapping("medicineOutTreasury")
    public void medicineOutTreasury(){
        try {
            baseService.medicineOutTreasury();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    @ApiOperation("中药损耗/领用出库记录")
    @PostMapping("medicineOutChiTreasury")
    public void medicineOutChiTreasury(){
        try {
            baseService.medicineOutChiTreasury();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    @ApiOperation("西药采购退货出库记录")
    @PostMapping("medicineBack")
    public void medicineBack(){
        try {
            baseService.medicineBack();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    @ApiOperation("中药采购退货出库记录")
    @PostMapping("medicineChiBack")
    public void medicineChiBack(){
        try {
            baseService.medicineChiBack();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    @ApiOperation("西药盘点盘亏出库记录")
    @PostMapping("medicineInvOut")
    public void medicineInvOut(){
        try {
            baseService.medicineInvOut();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    @ApiOperation("中药盘点盘亏出库记录")
    @PostMapping("medicineChiInvOut")
    public void medicineChiInvOut(){
        try {
            baseService.medicineChiInvOut();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    @ApiOperation("西药销售明细记录(自费门诊)")
    @PostMapping("medicineOrder")
    public void medicineOrder(){
        try {
            baseService.medicineOrder();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    @ApiOperation("中药销售明细记录(自费门诊)")
    @PostMapping("medicineChiOrder")
    public void medicineChiOrder(){
        try {
            baseService.medicineChiOrder();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    @ApiOperation("西药销售明细记录(医保门诊)")
    @PostMapping("medicineInsOrder")
    public void medicineInsOrder(){
        try {
            baseService.medicineInsOrder();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    @ApiOperation("中药销售明细记录(医保门诊)")
    @PostMapping("medicineChiInsOrder")
    public void medicineChiInsOrder(){
        try {
            baseService.medicineChiInsOrder();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    @ApiOperation("西药药销售明细记录(住院)")
    @PostMapping("medicineHosOrder")
    public void medicineHosOrder(){
        try {
            baseService.medicineHosOrder();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    @ApiOperation("中药销售明细记录(住院)")
    @PostMapping("medicineChiHosOrder")
    public void medicineChiHosOrder(){
        try {
            baseService.medicineChiHosOrder();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }


}
